PHPExcel_Worksheet_HeaderFooter

    Header/Footer Formatting Syntax taken from Office Open XML Part 4 - Markup Language Reference, page 1970:

    There are a number of formatting codes that can be written inline with the actual header / footer text, which
    affect the formatting in the header or footer.

    Example: This example shows the text "Center Bold Header" on the first line (center section), and the date on
    the second line (center section).
            &CCenter &"-,Bold"Bold&"-,Regular"Header_x000A_&D

    General Rules:
    There is no required order in which these codes must appear.

    The first occurrence of the following codes turns the formatting ON, the second occurrence turns it OFF again:
    - strikethrough
    - superscript
    - subscript
    Superscript and subscript cannot both be ON at same time. Whichever comes first wins and the other is ignored,
    while the first is ON.
    &L - code for "left section" (there are three header / footer locations, "left", "center", and "right"). When
    two or more occurrences of this section marker exist, the contents from all markers are concatenated, in the
    order of appearance, and placed into the left section.
    &P - code for "current page #"
    &N - code for "total pages"
    &font size - code for "text font size", where font size is a font size in points.
    &K - code for "text font color"
    RGB Color is specified as RRGGBB
    Theme Color is specifed as TTSNN where TT is the theme color Id, S is either "+" or "-" of the tint/shade
    value, NN is the tint/shade value.
    &S - code for "text strikethrough" on / off
    &X - code for "text super script" on / off
    &Y - code for "text subscript" on / off
    &C - code for "center section". When two or more occurrences of this section marker exist, the contents
    from all markers are concatenated, in the order of appearance, and placed into the center section.

    &D - code for "date"
    &T - code for "time"
    &G - code for "picture as background"
    &U - code for "text single underline"
    &E - code for "double underline"
    &R - code for "right section". When two or more occurrences of this section marker exist, the contents
    from all markers are concatenated, in the order of appearance, and placed into the right section.
    &Z - code for "this workbook's file path"
    &F - code for "this workbook's file name"
    &A - code for "sheet tab name"
    &+ - code for add to page #.
    &- - code for subtract from page #.
    &"font name,font type" - code for "text font name" and "text font type", where font name and font type
    are strings specifying the name and type of the font, separated by a comma. When a hyphen appears in font
    name, it means "none specified". Both of font name and font type can be localized values.
    &"-,Bold" - code for "bold font style"
    &B - also means "bold font style".
    &"-,Regular" - code for "regular font style"
    &"-,Italic" - code for "italic font style"
    &I - also means "italic font style"
    &"-,Bold Italic" code for "bold italic font style"
    &O - code for "outline style"
    &H - code for "shadow style"

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_HeaderFooter

    __construct()

## Add header/footer image

    addImage(\PHPExcel_Worksheet_HeaderFooterDrawing $image, string $location) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $image

`\PHPExcel_Worksheet_HeaderFooterDrawing`

#### $location

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Get AlignWithMargins

    getAlignWithMargins() : boolean

### Returns

`boolean`

## Get DifferentFirst

    getDifferentFirst() : boolean

### Returns

`boolean`

## Get DifferentOddEven

    getDifferentOddEven() : boolean

### Returns

`boolean`

## Get EvenHeader

    getEvenHeader() : string

### Returns

`string`

## Get FirstHeader

    getFirstHeader() : string

### Returns

`string`

## Get header/footer images

    getImages() : \PHPExcel_Worksheet_HeaderFooterDrawing[]

### Returns

`\PHPExcel_Worksheet_HeaderFooterDrawing[]`

## Get OddHeader

    getOddHeader() : string

### Returns

`string`

## Get ScaleWithDocument

    getScaleWithDocument() : boolean

### Returns

`boolean`

## Remove header/footer image

    removeImage(string $location) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $location

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set AlignWithMargins

    setAlignWithMargins(boolean $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set DifferentFirst

    setDifferentFirst(boolean $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set DifferentOddEven

    setDifferentOddEven(boolean $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set EvenHeader

    setEvenHeader(string $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set FirstHeader

    setFirstHeader(string $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set header/footer images

    setImages(\PHPExcel_Worksheet_HeaderFooterDrawing[] $images) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $images

`\PHPExcel_Worksheet_HeaderFooterDrawing[]`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set OddHeader

    setOddHeader(string $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

## Set ScaleWithDocument

    setScaleWithDocument(boolean $pValue) : \PHPExcel_Worksheet_HeaderFooter

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_HeaderFooter`

### Properties

##

    $_alignWithMargins : boolean

##

    $_differentFirst : boolean

##

    $_differentOddEven : boolean

##

    $_evenHeader : string

##

    $_firstHeader : string

##

    $_oddHeader : string

##

    $_scaleWithDocument : boolean

### Constants

## IMAGE_HEADER_CENTER

    IMAGE_HEADER_CENTER

## IMAGE_HEADER_LEFT

    IMAGE_HEADER_LEFT

## IMAGE_HEADER_RIGHT

    IMAGE_HEADER_RIGHT